#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long nizai[10002], nizbi[10002];
    int t;
    cin>>t;
    for(int i=1;i<=t;i++)
    {
        cin>>nizai[i]>>nizbi[i];
    }



    for(int i=1;i<=t;i++)
    {
        int provera = 0;
        for (int j=1; j<=sqrt(nizai[i]); j++)
        {
            if (nizai[i]%j == 0)
            {
                long long s = nizai[i]/j;
                long long x = s^j;
                if(x==nizbi[i])
                {
                    cout<<s<<" "<<j<<"\n";
                    provera = 1;
                    break;
                }
            }
        }

        if(provera==0)
            cout<<"-1"<<"\n";

    }

    return 0;
}